package TO;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;

import jpa.FamilyDoctorJPA;

/**
 * 
 * @author Marcos García Núñez (mgarcianun@uoc.edu)
 *
 */
@XmlRootElement(name = "Patient")
public class PatientTO implements Serializable {

	private static final long serialVersionUID = 1L;
	private Integer id;
	private String nif;
	private String name;
	private String surname;
	private String password;
	private String email;
	private FamilyDoctorTO familyDoctor;

	/**
	 * Class constructor methods
	 */
	public PatientTO() {
		super();
	}

	public PatientTO(Integer id, String nif, String name, String surname, String password, String email) {
		this.setId(id);
		this.setNif(nif);
		this.setName(name);
		this.setSurname(surname);
		this.setPassword(password);
		this.setEmail(email);
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getSurname() {
		return surname;
	}

	public void setSurname(String surname) {
		this.surname = surname;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getNif() {
		return nif;
	}

	public void setNif(String nif) {
		this.nif = nif;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}	


}
